CoCoAManual: add entry summarising syntax of all CoCoA-5 commands

11 Mar 2014 17:47 - John Abbott

Status: Closed Start date: 11 Mar 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 2.00 hours

Target version: CoCoA-5.1.2 summer 2015 Spent time: 1.90 hour

Description

I suggest adding a page which summarises briefly the language syntax of CoCoA-5 (with link to each detailed page for each single

command).

2015-05 proposed solution:  /**/  ? All CoCoA commands

Related issues:

Related to CoCoA-5 - Support #176: CoCoAManual: Doc for new commands Closed 01 Jun 2012

Related to CoCoA-5 - Support #456: CoCoAManual: New structure for manual? Closed 05 Mar 2014

History

#1 - 11 Mar 2014 17:49 - John Abbott

Such a page would be useful for people who already know how to program, and simply want to see the complete syntax all at once.

#2 - 11 Mar 2014 18:25 - Anna Maria Bigatti

You mean the syntax of all commands in CoCoA?

that's not difficult, but it's going to be huge!

#3 - 12 Mar 2014 12:39 - John Abbott

Yes, I mean CoCoALanguage commands; no, I don't mean functions!

Possibly a few important functions could be named too (e.g. not)

#4 - 12 Mar 2014 13:55 - Anna Maria Bigatti

- Status changed from New to In Progress

You mean something like

/**/  ? Commands and Functions for ideals

That should be easy (kind of copy and paste)    

... and together with all the relative syntax?

That is a bit trickier...
#5 - 12 Mar 2014 14:13 - John Abbott

What I mean is just the keywords and syntax of CoCoA language:

Return expr

If bool-expr Then cmd EndIf

If bool-expr Then cmd Else cmd EndIf

If bool-expr Then cmd Elif bool-expr Then cmd EndIf

While bool-epxr Do cmd EndWhile

And so on.

#6 - 12 Mar 2014 22:52 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 10

Added entry "All CoCoA Commands".

It only gives the list of entries with type "command".

Fairly easy to add (still have to check whether all commands are tagged with type "command")

More difficult to add all the syntax entries.

#7 - 09 Apr 2014 17:19 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#8 - 02 Jul 2014 16:33 - Anna Maria Bigatti

- Subject changed from Manual: add entry summarising syntax of all CoCoA-5 commands to CoCoAManual: add entry summarising syntax of all

CoCoA-5 commands

#9 - 03 Sep 2014 12:30 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

#10 - 15 May 2015 11:03 - Anna Maria Bigatti

- Description updated

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 90

- Estimated time set to 2.00 h

Anna Maria Bigatti wrote:

Added entry "All CoCoA Commands".

It only gives the list of entries with type "command".

Fairly easy to add (still have to check whether all commands are tagged with type "command")

More difficult to add all the syntax entries.
I made some refinements:

/**/  ? All CoCoA commands

--============[ All CoCoA commands ]=============--

This is a (work in progress) complete list of all CoCoA commands:

? break -- break out of a loop

? for -- loop command

? foreach -- loop command

? if -- conditional statement

? repeat -- loop command

? return -- exit from a function

? while -- loop command

--==================<>===================--

#11 - 29 Jul 2015 12:12 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
